--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Add <tt>text</tt> to the document at <tt>(x, y)</tt> location at <tt>size</tt> and <tt>angle</tt>. The <tt>word_space_adjust</tt> parameter is an internal parameter that should not be used.
- !ruby/struct:SM::Flow::P 
  body: "As of PDF::Writer 1.1, <tt>size</tt> and <tt>text</tt> have been reversed and <tt>size</tt> is now optional, defaulting to the current #font_size if unset."
full_name: PDF::Writer#add_text
is_singleton: false
name: add_text
params: (x, y, text, size = nil, angle = 0, word_space_adjust = 0)
visibility: public
